Bug 250909 - Review Request: gkrellm-timestamp - UNIX timestamp clock plugin for GKrellM
Review Request: gkrellm-timestamp - UNIX timestamp clock plugin for GKrellM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-04 20:58 EDT by Nikolay Vladimirov
Modified: 2008-04-19 06:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-19 06:11:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nikolay Vladimirov 2007-08-04 20:58:49 EDT
Spec URL: http://turki.fedorapeople.org/gkrellm-timestamp.spec
SRPM URL: http://turki.fedorapeople.org/gkrellm-timestamp-0.1.4-1.fc7.src.rpm
Description: 
GkrellM Timestamp is a GkrellM plugin that
shows the current UNIX timestamp like the default clock.

LICENSE is missing. I sent request to upstream to include the license.
Comment 1 Nikolay Vladimirov 2007-08-05 07:11:35 EDT
Spec URL: http://turki.fedorapeople.org/gkrellm-timestamp.spec
SRPM URL: http://turki.fedorapeople.org/gkrellm-timestamp-0.1.4-2.fc7.src.rpm

* Sun Aug 5 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> 0.1.4-2
- Upstream added LICENSE
Comment 2 Nikolay Vladimirov 2007-10-20 11:24:49 EDT
It's been more than two months since I submitted the review request. I even
forgot about it. Can some one review the package?
Comment 3 manuel wolfshant 2007-12-04 10:22:22 EST
There is a small problem, the Makefile enforces certain compiler flags. Please
patch it in order to respect to
http://fedoraproject.org/wiki/Packaging/Guidelines#head-8b14098227aebff1cf6188939e9d0877295ac448

Otherwise everything seems OK. Please fix this and I will do a full review.
Comment 4 manuel wolfshant 2008-01-07 16:01:57 EST
ping ?
Comment 5 Nikolay Vladimirov 2008-01-07 17:36:56 EST
Sorry, about the delay. I completely forgot about this. I'll make the necessary
changes tomorrow. 
Comment 6 manuel wolfshant 2008-02-14 04:27:54 EST
ping again ?
Comment 7 manuel wolfshant 2008-02-18 18:55:48 EST
I will close this bug as NOTABUG if no response is gained from the reporter
by 26/02/2008.
Comment 8 Nikolay Vladimirov 2008-02-25 17:12:29 EST
Spec URL: http://turki.fedorapeople.org/gkrellm-timestamp.spec
SRPM URL: http://turki.fedorapeople.org/gkrellm-timestamp-0.1.4-3.fc9.src.rpm


* Mon Feb 25 2008 Nikolay Vladimirov <nikolay@vladimiroff.com> 0.1.4-3
- Added patch to fix Makefile(ignored optimization flags)
Comment 9 manuel wolfshant 2008-02-25 19:10:13 EST
Official review for gkrellm-timestamp-0.1.4-3.fc9.src.rpm
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: 11381440beb006b4f40399c10606076731e041f9
gkrellm-timestamp-0.1.4.tar.bz2
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.


=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: devel, i386 and x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


=== Issues ===
1.  Missing SMP flags. If it doesn't build with it, please add a comment

=== Notes ===
- The package provides a .so, but it is not a devel lib, therefore not creating
a -devel package is correct
- ldconfig is [correctly] not called because the supplied library is to be used
by gkrellm only


================
*** APPROVED *** with the condition of fixing the SMP issue before import
================

Comment 10 Nikolay Vladimirov 2008-03-04 18:22:10 EST
Spec URL: http://turki.fedorapeople.org/gkrellm-timestamp.spec
SRPM URL: http://turki.fedorapeople.org/gkrellm-timestamp-0.1.4-4.fc9.src.rpm

* Thu Feb 28 2008 Nikolay Vladimirov <nikolay@vladimiroff.com> 0.1.4-4
- Added SMP flags on build
Comment 11 manuel wolfshant 2008-03-21 21:34:47 EDT
Nikolay, please proceed with the CVS check-in step, I've approved your package
in comment #9.
Comment 12 Nikolay Vladimirov 2008-03-29 03:23:16 EDT
New Package CVS Request
=======================
Package Name: gkrellm-timestamp
Short Description: UNIX timestamp clock plugin for GKrellM
Owners: turki
Branches: F-8
InitialCC:
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2008-03-29 14:43:44 EDT
cvs done.
Comment 14 manuel wolfshant 2008-04-17 18:56:32 EDT
nikolay, is there any problem which prohibits you to upload the package to CVS ?
Comment 15 Nikolay Vladimirov 2008-04-19 06:11:07 EDT
not any more. package built for devel and pushed for f-8 updates-testing.
resolving as NEXTRELEASE

Note You need to log in before you can comment on or make changes to this bug.